#ifndef MODELCALLPRIORITY_H
#define MODELCALLPRIORITY_H

#include <aiconfig/modelconfig.h>

#include <QComboBox>
#include <QLabel>
#include <QMap>
#include <QObject>
#include <QWidget>

class ModelCallPriority : public QWidget {
    Q_OBJECT
public:
    explicit ModelCallPriority(QWidget *parent = nullptr);
    void setModelCallPriority(kyai::config::model::DeployType deployType);

signals:
    void topModelPriorityChanged(kyai::config::model::DeployType topPriorityModelType);

public:
    QLabel *m_modelCallPriorityLabel = nullptr;    // 模型调用优先级排序标签
    QComboBox *m_modelPriorityComboBox = nullptr;  // 模型调用优先级下拉列表

public Q_SLOTS:
    void modelPriorityChanged(int index);

private:
    void initConnections();
};

#endif  // MODELCALLPRIORITY_H
